--phy = require'phy'

function love.load()
	local width = math.max(love.graphics.getWidth(),love.graphics.getHeight())
	touch = {{active = true,100,100}}
	if love.system.getOS() == 'Android' or love.system.getOS() == 'iOS' then
		images = {}
		images.milky = love.graphics.newImage('milky.png')
		shaders = {}
		shaders.hole = {shader = love.graphics.newShader('hole_m.glsl'),canvas = {love.graphics.newCanvas(width,width),love.graphics.newCanvas(width,width)}}
		shaders.hole.shader:send('size',{width,width})
		shaders.hole.shader:send('pos',{100,100})
		shaders.hole.shader:send('eventH',love.window.toPixels(20))
		shaders.hole.shader:send('escapeR',love.window.toPixels(20)*1.5)
		shaders.hole.shader:send('holeColor',{0,0,0})
	else
		images = {}
		images.milky = love.graphics.newImage('grid.png')
		images.isMilky = false
		shaders = {}
		shaders.hole = {shader = love.graphics.newShader('hole.glsl'),canvas = {love.graphics.newCanvas(width,width),love.graphics.newCanvas(width,width)}}
		shaders.hole.shader:send('size',{width,width})
		shaders.hole.shader:send('pos',{100,100})
		shaders.hole.shader:send('eventH',40)
		shaders.hole.shader:send('escapeR',40*1.5)
		shaders.hole.shader:send('holeColor',{0,0,0})
	end


	love.graphics.setBackgroundColor(255, 255, 255, 255)
end

function love.update(dt)
	if not (love.system.getOS() == 'Android' or love.system.getOS() == 'iOS') then
		touch[1][1],touch[1][2] = love.mouse.getPosition()
	end
end

function love.draw()
	local activeC = false
	love.graphics.setCanvas(shaders.hole.canvas[1])
		shaders.hole.canvas[1]:clear()
		love.graphics.setColor(255, 255, 255, 255)
		love.graphics.draw(images.milky,0,0,0,love.graphics.getWidth()/images.milky:getWidth(),love.graphics.getHeight()/images.milky:getHeight())
	love.graphics.setCanvas()
	shaders.hole.canvas[2]:clear()
	love.graphics.setColor(255, 255, 255, 255)
	for i,v in ipairs(touch) do
		if v.active then
			print(i,'is active')
			love.graphics.setCanvas(shaders.hole.canvas[activeC and 1 or 2])
				shaders.hole.shader:send('pos',{v[1],v[2]})
				love.graphics.setShader(shaders.hole.shader)
				love.graphics.draw(shaders.hole.canvas[not activeC and 1 or 2])
				love.graphics.setShader()
			love.graphics.setCanvas()
			activeC = not activeC
		end
	end
	love.graphics.print(math.floor(love.mouse.getX()) ..', '.. math.floor(love.mouse.getY()))
	love.graphics.draw(shaders.hole.canvas[not activeC and 1 or 2])
end

if love.system.getOS() == 'Android' or love.system.getOS() == 'iOS' then
	function love.touchpressed(id,x,y)
		id=id+1
		touch[id] = {active = true, x*love.graphics.getWidth(),y*love.graphics.getHeight()}
		print('removed touch',id)
	end
	function love.touchreleased(id,x,y)
		id=id+1
		if id ~= 1 then
			print('removed touch',id)
			--touch[id].active = false
		end
	end
	function love.touchmoved(id,x,y)
		id=id+1
		touch[id] = {active = true, x*love.graphics.getWidth(),y*love.graphics.getHeight()}
	end
else
	function love.keypressed(k)
		if k == 'tab' then
			images.milky = images.isMilky and love.graphics.newImage('grid.png') or love.graphics.newImage('milky.jpg')
			images.isMilky = not images.isMilky
		end
	end
end

